MQRemoteQueue (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQRemoteQueue interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQRemoteQueue

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, MQQueue, java.io.Serializable

    public interface MQRemoteQueue

extends MQQueue

From section 6.2.5 of MQ Fundamentals: Remote queue objects are used to define routes to other queue managers within the WebSphere MQ message queuing infrastructure. This involves mapping queue manager names to transmission queues, and mapping queue names to different queue names on remote queue managers.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getRemoteName()` Name of remote queue as known locally on the remote queue manager (parameter identifier: MQCA_REMOTE_Q_NAME).
`java.lang.String` | `getRemoteQueueMgrName()` Name of remote queue as known locally on the remote queue manager (parameter identifier: MQCA_REMOTE_Q_NAME).
`java.lang.String` | `getTransmissionQueue()` Name of the transmission queue, which is used to hold messages that are destined for a remote queue manager.
`boolean` | `hasRemoteName()`
`boolean` | `hasRemoteQueueMgrName()`
`boolean` | `hasTransmissionQueue()`
`void` | `setRemoteName(java.lang.String x)`
`void` | `setRemoteQueueMgrName(java.lang.String x)`
`void` | `setTransmissionQueue(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQQueue
`getDefaultPersistence, getName, getPut, getQSGDISP, getQueueManager, hasDefaultPersistence, hasName, hasPut, hasQSGDISP, hasQueueManager, setDefaultPersistence, setName, setPut, setQSGDISP, setQueueManager`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getRemoteQueueMgrName

    java.lang.String getRemoteQueueMgrName()
                                           throws AttributeNotSetException

  Name of remote queue as known locally on the remote queue manager (parameter identifier: MQCA_REMOTE_Q_NAME). The maximum length of the string is MQ_Q_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setRemoteQueueMgrName

    void setRemoteQueueMgrName(java.lang.String x)

### hasRemoteQueueMgrName

    boolean hasRemoteQueueMgrName()

### getTransmissionQueue

    java.lang.String getTransmissionQueue()
                                          throws AttributeNotSetException

  Name of the transmission queue, which is used to hold messages that are destined for a remote queue manager. When an application puts a message to a remote queue, the message is stored on the appropriate transmission queue whilst awaiting transmission to the remote queue manager. Standard Content Origin / Best Practice Content: Expected content can be obtained by invoking following MQSC command: DISPLAY QUEUE (*) XMITQ The maximum length of the string is MQ_Q_NAME_LENGTH Example: SYSTEM.CLUSTER.TRANSMIT.QUEUE

  Throws:
    `AttributeNotSetException`

### setTransmissionQueue

    void setTransmissionQueue(java.lang.String x)

### hasTransmissionQueue

    boolean hasTransmissionQueue()

### getRemoteName

    java.lang.String getRemoteName()
                                   throws AttributeNotSetException

  Name of remote queue as known locally on the remote queue manager (parameter identifier: MQCA_REMOTE_Q_NAME). The maximum length of the string is MQ_Q_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setRemoteName

    void setRemoteName(java.lang.String x)

### hasRemoteName

    boolean hasRemoteName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD